<?php
global $mobile_theme_options;

$mobile_theme_options = array();

$mobile_theme_options["general_site_options"] =
	array(
		array(
			"main_section" => "Home Page",
			"main_description" => "",
			"sub_elements" => 
				array(	
					array("label" => "Exclude Category", "description" => "You can exclude any specific category from the home page, this is useful when using the slider.", "name" => "mobile_category_exclude", "default" => "", "id" => "", "zero_wording" => "Display All Categories", "input_type" => "select", "options" => "loop_categories"),
					array("label" => "Page Template", "description" => "Select to display a static page on your mobile home screen, or your latest posts.", "name" => "mobile_home_page", "default" => "", "id" => "mobile_home_page", "zero_wording" => "Display Latest Posts", "input_type" => "select", "options" => "loop_pages"),
				array("label" => "Post Excerpts", "description" => "Automatically generate an excerpt for your posts on listing pages.", "name" => "mobile_auto_excerpt", "default" => "no", "id" => "mobile_auto_excerpt", "input_type" => "select", "options" => array("No" => "no", "Yes" => "yes")),
				)
			),
		array(
			"main_section" => "Thumbnail Settings",
			"main_description" => "These settings will control which thumbnails your site will prioritize.",
			"sub_elements" => 
				array(
					array("label" => "Post Thumbnail", "description" => "", "name" => "mobile_thumbnail_usage", "default" => "wordpress", "id" => "mobile_thumbnail_usage", "zero_wording" => "Use custom meta.", "linked" => "mobile_thumbnail_custom", "input_type" => "select", "options" => array("Disable Images" => "none", "Wordpress Thumbnail Feature" => "wordpress", "Obox Main Image" => "other_media", "WooThemes Custom Image" => "image", "Custom Image Meta" => "0")),
					array("label" => "Custom Meta (advanced)", "description" => "", "name" => "mobile_thumbnail_custom", "default" => "", "id" => "mobile_thumbnail_custom", "input_type" => "text", "linked" => "mobile_thumbnail_usage")
				)
			),
		array(
			"main_section" => "Feature Slider",
			"main_description" => "Would you like to activate the slider on the home page?)",
			"sub_elements" => 
				array(
					  array("label" => "Category", "description" => "", "name" => "mobile_slider_category", "default" => "", "id" => "", "zero_wording" => "Deactivate", "input_type" => "select", "options" => "loop_categories"),
					  array("label" => "Post Count", "description" => "", "name" => "mobile_slider_count", "default" => "", "id" => "", "input_type" => "select", "options" => array("3" => "3", "6" => "6", "9" => "9", "12" => "12"))
				)
			),
		array("label" => "Custom Footer Text", "description" => "", "name" => "mobile_custom_footer", "default" => "<a href=\"http://www.premadeniches.com/\">PreMadeNiches</a>", "id" => "upload_button_background", "input_type" => "memo"),
		array("label" => "Force Mobile Site", "description" => "Load the mobile site no matter which browser or device the user is running. Recommended for testing.", "name" => "mobile_force", "default" => "no", "id" => "mobile_force", "input_type" => "select", "options" => array("Yes" => "yes", "No" => "no"))
		
);
$mobile_theme_options["image_options"] =
	array(
		array("label" => "Custom Logo", "description" => "<strong>Size: 32 x 32 pixels</strong><br />Full URL or folder path to your custom logo.", "name" => "mobile_custom_logo", "default" => "", "id" => "upload_button_logo", "input_type" => "file", "sub_title" => "logo"),		
		array("label" => "Custom Background", "description" => "<strong>Size: 460  pixels wide</strong><br />Full URL or folder path to your custom background.", "name" => "mobile_custom_background", "default" => "", "id" => "upload_button_background", "input_type" => "file", "sub_title" => "background"),	
		array("label" => "App Mode Icon", "description" => "<strong>Size: 55 x 55  pixels</strong><br />This is the icon used when your site is running in stand alone mode. (For iPhone users only)", "name" => "mobile_app_icon", "default" => OCMXMOBILEURL."/admin/images/iphone_ico.png", "id" => "upload_button_icon", "input_type" => "file", "sub_title" => "icon")
);
$mobile_theme_options["upgrade_license_options"] =
	array(
		array("label" => "License Key", "description" => "Enter your license key from Obox", "name" => "mobile_license_key", "default" => "", "id" => "mobile_license_key", "input_type" => "text"),		
		array("label" => "Validate", "description" => "", "name" => "", "default" => "Validate", "id" => "mobile_license_button", "input_type" => "button"),
);
$mobile_theme_options["post_advert"] =
	array(
		array(
			"main_section" => "Post Banner Ad",
			"main_description" => "These settings will control the advert which will display beneath posts. 300 x 50px",
			"sub_elements" => 
				array(
					array("label" => "Advert Title", "description" => "", "name" => "post_ad_title", "default" => "", "id" =>  "post_ad_title", "input_type" => "text"),
					array("label" => "Advert Link", "description" => "", "name" => "post_ad_href", "default" => "", "id" => "", "input_type" => "text"),
					array("label" => "Image url", "description" => "", "name" => "post_ad_image", "default" => "", "id" => "", "input_type" => "text"),
					array("label" => "Advert Script", "description" => "", "name" => "post_ad_buysell_id", "default" => "", "id" => "post_ad_buysell_id", "input_type" => "memo")
				)
			)
		);
?>